StreamWriteCapability (Jackson-core 2.13.0 API)
Date: 2021-09-30

com.fasterxml.jackson.core

## Enum StreamWriteCapability

- java.lang.Object
- - java.lang.Enum<StreamWriteCapability>
  - - com.fasterxml.jackson.core.StreamWriteCapability

- All Implemented Interfaces:
    JacksonFeature, Serializable, Comparable<StreamWriteCapability>

      public enum StreamWriteCapability
      extends Enum<StreamWriteCapability>
      implements JacksonFeature

  Set of on/off capabilities that a `JsonGenerator` for given format (or in case of buffering, original format) has. Used in some cases to adjust aspects of things like content conversions and coercions by format-agnostic functionality. Specific or expected usage documented by individual capability entry Javadocs.
  Since:
    2.12

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CAN_WRITE_BINARY_NATIVELY` Capability that indicates that the data format is able to express binary data natively, without using textual encoding like Base64.
    `CAN_WRITE_FORMATTED_NUMBERS` Capability that indicates that the data format is able to write "formatted numbers": that is, output of numbers is done as Strings and caller is allowed to pass in logical number values as Strings.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `enabledByDefault()` Accessor for checking whether this feature is enabled by default.
    `boolean` | `enabledIn(int flags)` Convenience method for checking whether feature is enabled in given bitmask.
    `int` | `getMask()` Returns bit mask for this feature instance; must be a single bit, that is of form `1 << N`.
    `static StreamWriteCapability` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StreamWriteCapability[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CAN_WRITE_BINARY_NATIVELY

          public static final StreamWriteCapability CAN_WRITE_BINARY_NATIVELY

      Capability that indicates that the data format is able to express binary data natively, without using textual encoding like Base64.

      Capability is currently enabled for all binary formats and none of textual formats.

    - #### CAN_WRITE_FORMATTED_NUMBERS

          public static final StreamWriteCapability CAN_WRITE_FORMATTED_NUMBERS

      Capability that indicates that the data format is able to write "formatted numbers": that is, output of numbers is done as Strings and caller is allowed to pass in logical number values as Strings.

      Capability is currently enabled for most textual formats and none of binary formats.

  - ### Method Detail

    - #### values

          public static StreamWriteCapability[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StreamWriteCapability c : StreamWriteCapability.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StreamWriteCapability valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### enabledByDefault

          public boolean enabledByDefault()

      Description copied from interface: `JacksonFeature`
      Accessor for checking whether this feature is enabled by default.
      Specified by:
        `enabledByDefault` in interface `JacksonFeature`
      Returns:
        Whether this instance is enabled by default or not

    - #### enabledIn

          public boolean enabledIn(int flags)

      Description copied from interface: `JacksonFeature`
      Convenience method for checking whether feature is enabled in given bitmask.
      Specified by:
        `enabledIn` in interface `JacksonFeature`
      Parameters:
        `flags` - Bit field that contains a set of enabled features of this type
      Returns:
        True if this feature is enabled in passed bit field

    - #### getMask

          public int getMask()

      Description copied from interface: `JacksonFeature`
      Returns bit mask for this feature instance; must be a single bit, that is of form `1 << N`.
      Specified by:
        `getMask` in interface `JacksonFeature`
      Returns:
        Bit mask of this feature

Copyright © 2008–2021 FasterXML. All rights reserved.